***************************************** ``GET`` Psychometric trait details ***************************************** This API retrieves psychometric trait details, including the trait's description, level range, and corresponding level descriptions. Request URL ============= .. code-block:: GET /domains/psychometric/ .. warning:: Make sure to add your API key in Header of the request Parameters =========== +-----------------------+------------------+---------------------------------------------------------------------------------------------------+ | Parameter | Type | Description | +=======================+==================+===================================================================================================+ | trait_name | *string* | Psychometric trait name for which details are to be fetched | +-----------------------+------------------+---------------------------------------------------------------------------------------------------+ .. note:: The ``trait_name`` is **case-sensitive**. For example, if you want to retrieve details for the trait *Empathy*, you must use the exact case and provide it as *Empathy*, not *empathy*. Response ========== - A JSON response containing information about the psychometric trait. .. code-block:: JSON { "description": "string", "levels": { "high": { "comment": "string", "range": "string" }, "low": { "comment": "string", "range": "string" }, "medium": { "comment": "string", "range": "string" } }, "trait_name": "string" } .. note:: The ``range`` for each level is represented by the lowest and highest percentage, separated by a hyphen (e.g., *35 - 70*).